WinRT: expanded and updated the README section on MSVC requirements
authorDavid Ludwig <dludwig@pobox.com>
Sun, 14 Sep 2014 12:57:26 -0400
changeset 91403d8e33a24c31
parent 9139 b2231eba36f5
child 9141 8a6af8841969
WinRT: expanded and updated the README section on MSVC requirements
docs/README-winrt.md
     1.1 --- a/docs/README-winrt.md	Sun Sep 14 11:36:24 2014 -0400
     1.2 +++ b/docs/README-winrt.md	Sun Sep 14 12:57:26 2014 -0400
     1.3 @@ -18,12 +18,26 @@
     1.4  Requirements
     1.5  ------------
     1.6  
     1.7 -- Microsoft Visual C++ 2012 -- Free, "Express" editions may be used, so long
     1.8 -  as they include support for either "Windows Store" or "Windows Phone" apps.
     1.9 -  (NOTE: MSVC 2013 support is pending.  2012 projects may be converted to 2013
    1.10 -  projects by MSVC, in the meantime.)
    1.11 -- A valid Microsoft account -- This requirement is not imposed by SDL, but
    1.12 -  rather by Microsoft's Visual C++ toolchain.  This is required to debug apps.
    1.13 +* Microsoft Visual C++ (aka Visual Studio), either 2013 or 2012 versions
    1.14 +  - Free, "Express" editions may be used, so long as they include support for 
    1.15 +    either "Windows Store" or "Windows Phone" apps.  Versions marked as
    1.16 +    supporting "Windows Desktop" development typically do not include support
    1.17 +    for creating WinRT apps.
    1.18 +  - Visual C++ 2012 can only build apps that target versions 8.0 of Windows, or 
    1.19 +    Windows Phone.  8.0-targetted apps will still run on devices running 
    1.20 +    8.1 editions of Windows, however they will not be able to take advantage of 
    1.21 +    8.1-specific features.
    1.22 +  - Visual C++ 2013 can only create app projects that target 8.1 versions
    1.23 +    of Windows, which do NOT run on 8.0 devices.  An optional Visual Studio 
    1.24 +    add-in, "Tools for Maintaining Store apps for Windows 8", allows projects 
    1.25 +    that are created with Visual C++ 2012, which target 8.0 versions of Windows, 
    1.26 +    to be loaded and built with Visual C++ 2013.  More details on this can be 
    1.27 +    found at the following web pages:
    1.28 +      - [Develop apps by using Visual Studio 2013](http://msdn.microsoft.com/en-us/library/windows/apps/br211384.aspx)
    1.29 +      - [To add the Tools for Maintaining Store apps for Windows 8](http://msdn.microsoft.com/en-us/library/windows/apps/dn263114.aspx#AddMaintenanceTools)
    1.30 +* A valid Microsoft account - This requirement is not imposed by SDL, but
    1.31 +  rather by Microsoft's Visual C++ toolchain.  This is required to launch or 
    1.32 +  debug apps.
    1.33  
    1.34  
    1.35  Setup, High-Level Steps